/*
 * Copyright (C) 2010-2017 Alibaba Group Holding Limited.
 */

package com.aliyun.alivcsolution;

import android.app.Application;
import android.content.Context;
import android.text.TextUtils;

import android.util.Log;

import androidx.multidex.MultiDex;



import com.aliyun.common.httpfinal.QupaiHttpFinal;
import com.aliyun.svideosdk.AlivcSdkCore;
import com.aliyun.svideo.base.http.EffectService;
import com.aliyun.svideosdk.AlivcSdkCore.AlivcDebugLoggerLevel;
import com.aliyun.svideosdk.AlivcSdkCore.AlivcLogLevel;


/**
 * Created by Mulberry on 2018/2/24.
 */
public class MutiApplication extends Application {
    /**
     * 友盟数据统计key值
     */
    private static final String UM_APP_KEY = "5c6e4e6cb465f5ff4700120e";
    private String mLogPath;
    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
        MultiDex.install(this);
    }

    @Override
    public void onCreate() {
        super.onCreate();
        QupaiHttpFinal.getInstance().initOkHttpFinal();
        AlivcSdkCore.register(this);
        AlivcSdkCore.setLogLevel(AlivcSdkCore.AlivcLogLevel.AlivcLogWarn);
        if (BuildConfig.isFinal) {
            AlivcSdkCore.setLogLevel(AlivcSdkCore.AlivcLogLevel.AlivcLogDebug);
            AlivcSdkCore.setDebugLoggerLevel(AlivcSdkCore.AlivcDebugLoggerLevel.AlivcDLAll);
        } else {
            AlivcSdkCore.setLogLevel(AlivcLogLevel.AlivcLogDebug);
            AlivcSdkCore.setDebugLoggerLevel(AlivcDebugLoggerLevel.AlivcDLAll);
        }
        if (TextUtils.isEmpty(mLogPath)) {
            //保证每次运行app生成一个新的日志文件
            long time = System.currentTimeMillis();
            mLogPath = getExternalFilesDir("Log").getAbsolutePath() + "/log_" + time + ".log";
            AlivcSdkCore.setLogPath(mLogPath);
        }
        
        

        EffectService.setAppInfo(getResources().getString(R.string.app_name), getPackageName(), BuildConfig.VERSION_NAME, BuildConfig.VERSION_CODE);
    }


}
